VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::ServiceStub Class Reference

Remote stub implementation of the Service API service. More...

Inherits vmware::vapi::metadata::metamodel::Service.

List of all members.

## Public Member Functions
| ServiceStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the service elements that are currently registered with the infrastructure.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the service elements that are currently registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the service elements that are currently registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the service elements that are currently registered with the infrastructure.
vmware.vapi.metadata.metamodel.ServiceInfo | Get (string serviceId)
| Retrieves information about the service element corresponding to serviceId .
vmware.vapi.metadata.metamodel.ServiceInfo | Get (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.ServiceInfo > | GetAsync (string serviceId)
| Retrieves information about the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.ServiceInfo > | GetAsync (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the service element corresponding to serviceId .

## Detailed Description

Remote stub implementation of the Service API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ServiceStub::ServiceStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.vapi.metadata.metamodel.ServiceInfo vmware::vapi::metadata::metamodel::ServiceStub::Get | ( | string | serviceId | ) | `[inline]`

Retrieves information about the service element corresponding to serviceId .

The ServiceInfo contains the metamodel information for the operation elements, structure elements and enumeration elements contained in the service element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId is not registered with the infrastructure.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implements vmware::vapi::metadata::metamodel::Service.

vmware.vapi.metadata.metamodel.ServiceInfo vmware::vapi::metadata::metamodel::ServiceStub::Get | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the service element corresponding to serviceId .

The ServiceInfo contains the metamodel information for the operation elements, structure elements and enumeration elements contained in the service element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId is not registered with the infrastructure.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implements vmware::vapi::metadata::metamodel::Service.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.ServiceInfo> vmware::vapi::metadata::metamodel::ServiceStub::GetAsync | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the service element corresponding to serviceId .

The ServiceInfo contains the metamodel information for the operation elements, structure elements and enumeration elements contained in the service element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId is not registered with the infrastructure.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implements vmware::vapi::metadata::metamodel::Service.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.ServiceInfo> vmware::vapi::metadata::metamodel::ServiceStub::GetAsync | ( | string | serviceId | ) | `[inline]`

Retrieves information about the service element corresponding to serviceId .

The ServiceInfo contains the metamodel information for the operation elements, structure elements and enumeration elements contained in the service element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId is not registered with the infrastructure.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implements vmware::vapi::metadata::metamodel::Service.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::ServiceStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the service elements that are currently registered with the infrastructure.

The list of service elements is an aggregate list of all the service elements contained in all the package elements.

Returns:
  The list of identifiers for the service elements that are currently registered with the infrastructure. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implements vmware::vapi::metadata::metamodel::Service.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::ServiceStub::List | ( |  | ) | `[inline]`

Returns the identifiers for the service elements that are currently registered with the infrastructure.

The list of service elements is an aggregate list of all the service elements contained in all the package elements.

Returns:
  The list of identifiers for the service elements that are currently registered with the infrastructure. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implements vmware::vapi::metadata::metamodel::Service.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::ServiceStub::ListAsync | ( |  | ) | `[inline]`

Returns the identifiers for the service elements that are currently registered with the infrastructure.

The list of service elements is an aggregate list of all the service elements contained in all the package elements.

Returns:
  The list of identifiers for the service elements that are currently registered with the infrastructure. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implements vmware::vapi::metadata::metamodel::Service.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::ServiceStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers for the service elements that are currently registered with the infrastructure.

The list of service elements is an aggregate list of all the service elements contained in all the package elements.

Returns:
  The list of identifiers for the service elements that are currently registered with the infrastructure. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implements vmware::vapi::metadata::metamodel::Service.

The documentation for this class was generated from the following file:

- vapi/metadata/metamodel/ServiceStub.cs